6.0.0-git
2019-03-18

[#10556] Can't update ticket but permission is set
Summary Can't update ticket but permission is set
Queue Whups
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners
Requester szimszon (at) oregpreshaz (dot) eu
Created 2011-09-28 (2728 days ago)
Due
Updated 2011-11-03 (2692 days ago)
Assigned 2011-09-28 (2728 days ago)
Resolved 2011-11-03 (2692 days ago)
Milestone
Patch No

History
2011-11-03 13:23:07 Jan Schneider State ⇒ Resolved
 
2011-11-03 12:41:12 szimszon (at) oregpreshaz (dot) eu Comment #10 Reply to this comment
With version 2.0 it works well. Thx.
2011-10-27 20:56:51 Jan Schneider Comment #9 Reply to this comment
Can you please provide English interface descriptions or screenshots?
2011-10-10 15:49:04 Jan Schneider Comment #8 Reply to this comment
I don't understand Hungarian.
2011-09-28 14:04:15 szimszon (at) oregpreshaz (dot) eu Comment #7
New Attachment: rights.jpg Download
Reply to this comment
Rights
2011-09-28 13:54:13 szimszon (at) oregpreshaz (dot) eu Comment #6
New Attachment: before-after.jpg Download
Reply to this comment
I can administer the whups can create ticket and if I update I got a
message that the ticket was updated. But nothing happened :(
*What* did you update? There are dozen properties that can be 
updated in a ticket.
Attached an image.

2011-09-28 13:36:19 Jan Schneider Comment #5 Reply to this comment
I can administer the whups can create ticket and if I update I got a
message that the ticket was updated. But nothing happened :(
*What* did you update? There are dozen properties that can be updated 
in a ticket.
What should I send to you to sort it out?
I already asked you specifically for several things you should provide:
What exactly is your setup, and what exactly do you do (responsible
users, permissions, current user, etc)?
2011-09-28 13:35:20 szimszon (at) oregpreshaz (dot) eu Comment #4 Reply to this comment
I tried to install whups-alpha through pear (I see it on INSTALL) but fails:

xxx:~# /var/www/horde/pear/pear -c /var/www/horde/pear.conf install -a 
-B horde/whups-alpha
horde/whups requires package "horde/Horde_Mime" (version >= 1.2.0, 
version <= 2.0.0, excluded versions: 2.0.0), installed version is 1.1.0
downloading Horde_Scheduler-1.0.0.tgz ...
Starting to download Horde_Scheduler-1.0.0.tgz (13,854 bytes)
.....done: 13,854 bytes
install ok: channel://pear.horde.org/Horde_Scheduler-1.0.0

2011-09-28 13:17:30 szimszon (at) oregpreshaz (dot) eu Comment #3 Reply to this comment


I installed Horde Groupware Webmail Edition 4.0.3 with pear install to
a separate PEAR. It works great.

I downloaded the whups from
http://ftp.horde.org/pub/snaps/latest/whups-git.tar.gz and gunzipped
to the horde dir next to IMP, Turba...

On the admin page I clicked the Whups' db outdated link to create the
db. It's actually done. I clicked the config link and save it. The odd
is that I got a "Nincs még konfiguráció, generáljon egyet." something
like "There is no config, click to generate one" but I have a conf.php
in whups/config dir...

<?php
/* CONFIG START. DO NOT CHANGE ANYTHING IN OR AFTER THIS LINE. */
$conf['tickets']['params']['driverconfig'] = 'horde';
$conf['tickets']['driver'] = 'Sql';
$conf['guests']['captcha'] = false;
$conf['mail']['reply'] = false;
$conf['mail']['include_headers'] = false;
$conf['mail']['commenthistory'] = 'new';
$conf['mail']['link_attach'] = false;
$conf['mail']['incl_resp'] = true;
$conf['mail']['server_name'] = '127.0.0.1';
$conf['mail']['server_port'] = 80;
$conf['prefs']['autolink_terms'] = 'bug|ticket|issue';
$conf['prefs']['assign_all_groups'] = false;
$conf['menu']['apps'] = array();
$conf['states']['1']['name'] = 'Unconfirmed';
$conf['states']['1']['desc'] = 'A ticket has been reported but not yet
analyzed';
$conf['states']['1']['category'] = 'unconfirmed';
$conf['states']['1']['active'] = 'active';
$conf['states']['2']['name'] = 'Accepted';
$conf['states']['2']['desc'] = 'The ticket has been analyzed and
accepted as valid.';
$conf['states']['2']['category'] = 'new';
$conf['states']['2']['active'] = 'active';
$conf['states']['3']['name'] = 'Assigned';
$conf['states']['3']['desc'] = 'Someone has accepted responsibility
for the ticket.';
$conf['states']['3']['category'] = 'assigned';
$conf['states']['3']['active'] = 'active';
$conf['states']['4']['name'] = 'Resolved';
$conf['states']['4']['desc'] = 'The ticket has been resolved.';
$conf['states']['4']['category'] = 'resolved';
$conf['states']['4']['active'] = 'active';
$conf['states']['5']['name'] = 'Canceled';
$conf['states']['5']['desc'] = 'The ticket is no longer valid for one
reason or another.';
$conf['states']['5']['category'] = 'resolved';
$conf['states']['5']['active'] = 'active';
$conf['states']['6']['active'] = 'inactive';
$conf['states']['7']['active'] = 'inactive';
$conf['states']['8']['active'] = 'inactive';
$conf['priorities']['1']['name'] = '1. Low';
$conf['priorities']['1']['desc'] = 'This is a very low priority ticket';
$conf['priorities']['1']['active'] = 'active';
$conf['priorities']['2']['name'] = '2. Medium';
$conf['priorities']['2']['desc'] = 'This is an important task, but not
urgent.';
$conf['priorities']['2']['active'] = 'active';
$conf['priorities']['3']['name'] = '3. High';
$conf['priorities']['3']['desc'] = 'This ticket is very urgent';
$conf['priorities']['3']['active'] = 'active';
$conf['priorities']['4']['active'] = 'inactive';
$conf['priorities']['5']['active'] = 'inactive';
$conf['priorities']['6']['active'] = 'inactive';
/* CONFIG END. DO NOT CHANGE ANYTHING IN OR BEFORE THIS LINE. */

I can administer the whups can create ticket and if I update I got a
message that the ticket was updated. But nothing happened :(

What should I send to you to sort it out?
Cannot reproduce. Neither the error from the logs, nor the failed
updating of tickets.
What exactly is your setup, and what exactly do you do (responsible
users, permissions, current user, etc)?
2011-09-28 09:51:34 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Cannot reproduce. Neither the error from the logs, nor the failed 
updating of tickets.
What exactly is your setup, and what exactly do you do (responsible 
users, permissions, current user, etc)?
2011-09-28 08:02:33 szimszon (at) oregpreshaz (dot) eu Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Can't update ticket but permission is set
Queue ⇒ Whups
Milestone ⇒
Patch ⇒ No
Reply to this comment
Can't update any ticket or comment but permission is set.

I would like to use it with IMP auth...

I have the following error message:

2011-09-28T09:45:49+02:00 DEBUG: HORDE [whups] SQL  (0,0003s)
         SELECT ticket_id as id, ticket_owner as owner FROM whups_ticket_owners
           WHERE ticket_id = 3 [pid 14870 on line 801 of 
"/var/www/horde/pear/php/Horde/Db/Adapter/Base.php"]
2011-09-28T09:45:49+02:00 WARN: HORDE [whups] PHP ERROR: reset() 
expects parameter 1 to be array, boolean given [pid 14870 on line 1022 
of "/var/www/horde/web
mail/whups/lib/Whups.php"]
2011-09-28T09:45:49+02:00 DEBUG: HORDE 1. Whups_Ticket->commit() 
/var/www/horde/webmail/whups/ticket/update.php:100
2. Whups_Ticket->notify() /var/www/horde/webmail/whups/lib/Ticket.php:389
3. Whups::getOwners() /var/www/horde/webmail/whups/lib/Ticket.php:753
4. reset() /var/www/horde/webmail/whups/lib/Whups.php:1022
5. Horde::errorHandler()

2011-09-28T09:45:49+02:00 DEBUG: HORDE [whups] 1. 
Whups_Ticket->commit() 
/var/www/horde/webmail/whups/ticket/update.php:100
2. Whups_Ticket->notify() /var/www/horde/webmail/whups/lib/Ticket.php:389
3. Whups::getOwners() /var/www/horde/webmail/whups/lib/Ticket.php:753
4. reset() /var/www/horde/webmail/whups/lib/Whups.php:1022
5. Horde::errorHandler()
  [pid 14870 on line 240 of "/var/www/horde/pear/php/Horde.php"]
2011-09-28T09:45:49+02:00 WARN: HORDE [whups] PHP ERROR: Invalid 
argument supplied for foreach() [pid 14870 on line 1024 of 
"/var/www/horde/webmail/whups/lib/Whups.php"]
2011-09-28T09:45:49+02:00 DEBUG: HORDE 1. Whups_Ticket->commit() 
/var/www/horde/webmail/whups/ticket/update.php:100
2. Whups_Ticket->notify() /var/www/horde/webmail/whups/lib/Ticket.php:389
3. Whups::getOwners() /var/www/horde/webmail/whups/lib/Ticket.php:753
4. Horde::errorHandler() /var/www/horde/webmail/whups/lib/Whups.php:1024

2011-09-28T09:45:49+02:00 DEBUG: HORDE [whups] 1. 
Whups_Ticket->commit() 
/var/www/horde/webmail/whups/ticket/update.php:100
2. Whups_Ticket->notify() /var/www/horde/webmail/whups/lib/Ticket.php:389
3. Whups::getOwners() /var/www/horde/webmail/whups/lib/Ticket.php:753
4. Horde::errorHandler() /var/www/horde/webmail/whups/lib/Whups.php:1024
  [pid 14870 on line 240 of "/var/www/horde/pear/php/Horde.php"]

Horde Groupware Webmail Edition 4.0.3
Horde (horde) 4.0.9
Hibabejelentés-kezelés (whups) 2.0.1-git (2011-09-28)

Saved Queries